> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/data-access/subscriptions/get-subscriptions-for-organization.md).

# Get subscriptions for organization

```json
{"openapi":"3.0.0","info":{"title":"Data Access","version":"api/client/v2.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://sandbox.bloom.dev/v2/data-access"}],"security":[{"OAuth2Application":["data-access:all"]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.bloom.dev/oauth/token","scopes":{"data-access:all":"Full access to data access API"}}}}},"schemas":{"github_com_bloomcredit_bureau-api-service_core.APIResponse-core_SubscriptionsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/core.SubscriptionsResponse"},"limit":{"type":"integer"},"page":{"type":"integer"},"total_records":{"type":"integer"}}},"core.SubscriptionsResponse":{"type":"object","properties":{"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/core.SubscriptionResponse"}}}},"core.SubscriptionResponse":{"description":"Response to get subscription request","type":"object","properties":{"attributes":{"$ref":"#/components/schemas/core.SubscriptionAttributes"},"id":{"type":"string"},"type":{"type":"string"}}},"core.SubscriptionAttributes":{"description":"Parameters of a subscription","type":"object","properties":{"consumers":{"description":"Consumers list of IDs to enroll or unenroll","type":"array","items":{"$ref":"#/components/schemas/core.ConsumerAttributes"}},"credential_id":{"description":"Credential ID","type":"string"},"frequency":{"description":"Frequency to execute the requests","allOf":[{"$ref":"#/components/schemas/core.SubscriptionFrequency"}]},"id":{"description":"Subscription ID","type":"string"},"output_credentials":{"description":"OutputCredentials for the results","type":"string"},"start_date":{"description":"Start date time","type":"string"},"state":{"description":"Subscription state","allOf":[{"$ref":"#/components/schemas/core.SubscriptionState"}]}}},"core.ConsumerAttributes":{"type":"object","properties":{"consumer_id":{"description":"Consumer ID","type":"string"},"frequency":{"description":"Frequency to execute the requests","allOf":[{"$ref":"#/components/schemas/core.SubscriptionFrequency"}]},"last_run_date":{"description":"Last run date time","type":"string"},"start_date":{"description":"Start date time","type":"string"}}},"core.SubscriptionFrequency":{"type":"string","enum":["DAILY","WEEKLY","BIWEEKLY","QUADWEEKLY"]},"core.SubscriptionState":{"type":"string","enum":["ACTIVE","INACTIVE"]},"core.ServiceError":{"type":"object","properties":{"status_code":{"type":"string"},"status_details":{"type":"string"},"status_message":{"type":"string"}}}}},"paths":{"/subscriptions":{"get":{"tags":["Subscriptions"],"summary":"Get subscriptions for organization","operationId":"get-subscriptions","parameters":[{"name":"X-Bas-Router","in":"header","required":true,"description":"Required header to route requests to BAS. Must be set to 'true'.","schema":{"type":"string","enum":["true"],"default":"true"}},{"description":"Filter by credential ID","name":"credential_id","in":"query","schema":{"type":"string"}},{"description":"Filter by state (ACTIVE, INACTIVE)","name":"state","in":"query","schema":{"type":"string"}},{"description":"Filter by frequency (DAILY, WEEKLY, BIWEEKLY, QUADWEEKLY)","name":"frequency","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/github_com_bloomcredit_bureau-api-service_core.APIResponse-core_SubscriptionsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/data-access/subscriptions/get-subscriptions-for-organization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
